package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * vpn 站点连接
 *
 * @author Administrator
 */
@Table("vpn_conn")
public class VpnConn extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vpn_id")
    private Long vpnId;
    @Column("ike_id")
    private Long ikeId;
    @Column("ipsec_id")
    private Long ipsecId;
    @Column("ip")
    private String ip;
    @Column("auth_id")
    private String authId;
    @Column("subnet")
    private String subnet;
    @Column("tenant_id")
    private Long tenantId;
    @Column("vendor_id")
    private Long vendorId;

    @Column("vpn_conn_uuid")
    private String vpnConnUuid;
    @Column("psk")
    private String psk;
    @Column("initiator")
    private String initiator;
    @Column("auth_mode")
    private String authMode;
    @Column("peer_cidrs")
    private String peerCidrs;
    @Column("mtu")
    private String mtu;
    @Column("admin_state_up")
    private Boolean adminStateUp;
    @Column("peer_ep_group_id")
    private String peerEpGroupId;
    @Column("local_ep_group_id")
    private String localEpGroupId;
    @Column("ike_uuid")
    private String ikeUuid;
    @Column("ipsec_uuid")
    private String ipsecUuid;
    @Column("vpn_uuid")
    private String vpnUuid;
    @Column("dpd")
    private String dpd;
    @Column("route_mode")
    private String routeMode;
    @Column("peer_address")
    private String peerAddress;
    @Column("peer_id")
    private String peerId;
    @Column("region")
    private String region;
    @Column("tenant_uuid")
    private String tenantUuid;
    @IgnoreAll
    private String osTenantName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVpnId() {
        return vpnId;
    }

    public void setVpnId(Long vpnId) {
        this.vpnId = vpnId;
    }

    public Long getIkeId() {
        return ikeId;
    }

    public void setIkeId(Long ikeId) {
        this.ikeId = ikeId;
    }

    public Long getIpsecId() {
        return ipsecId;
    }

    public void setIpsecId(Long ipsecId) {
        this.ipsecId = ipsecId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getAuthId() {
        return authId;
    }

    public void setAuthId(String authId) {
        this.authId = authId;
    }

    public String getSubnet() {
        return subnet;
    }

    public void setSubnet(String subnet) {
        this.subnet = subnet;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getVpnConnUuid() {
        return vpnConnUuid;
    }

    public void setVpnConnUuid(String vpnConnUuid) {
        this.vpnConnUuid = vpnConnUuid;
    }

    public String getPsk() {
        return psk;
    }

    public void setPsk(String psk) {
        this.psk = psk;
    }

    public String getInitiator() {
        return initiator;
    }

    public void setInitiator(String initiator) {
        this.initiator = initiator;
    }

    public String getAuthMode() {
        return authMode;
    }

    public void setAuthMode(String authMode) {
        this.authMode = authMode;
    }

    public String getPeerCidrs() {
        return peerCidrs;
    }

    public void setPeerCidrs(String peerCidrs) {
        this.peerCidrs = peerCidrs;
    }

    public String getMtu() {
        return mtu;
    }

    public void setMtu(String mtu) {
        this.mtu = mtu;
    }

    public Boolean getAdminStateUp() {
        return adminStateUp;
    }

    public void setAdminStateUp(Boolean adminStateUp) {
        this.adminStateUp = adminStateUp;
    }

    public String getPeerEpGroupId() {
        return peerEpGroupId;
    }

    public void setPeerEpGroupId(String peerEpGroupId) {
        this.peerEpGroupId = peerEpGroupId;
    }

    public String getLocalEpGroupId() {
        return localEpGroupId;
    }

    public void setLocalEpGroupId(String localEpGroupId) {
        this.localEpGroupId = localEpGroupId;
    }

    public String getIkeUuid() {
        return ikeUuid;
    }

    public void setIkeUuid(String ikeUuid) {
        this.ikeUuid = ikeUuid;
    }

    public String getIpsecUuid() {
        return ipsecUuid;
    }

    public void setIpsecUuid(String ipsecUuid) {
        this.ipsecUuid = ipsecUuid;
    }

    public String getVpnUuid() {
        return vpnUuid;
    }

    public void setVpnUuid(String vpnUuid) {
        this.vpnUuid = vpnUuid;
    }

    public String getDpd() {
        return dpd;
    }

    public void setDpd(String dpd) {
        this.dpd = dpd;
    }

    public String getRouteMode() {
        return routeMode;
    }

    public void setRouteMode(String routeMode) {
        this.routeMode = routeMode;
    }

    public String getPeerAddress() {
        return peerAddress;
    }

    public void setPeerAddress(String peerAddress) {
        this.peerAddress = peerAddress;
    }

    public String getPeerId() {
        return peerId;
    }

    public void setPeerId(String peerId) {
        this.peerId = peerId;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getOsTenantName() {
        return osTenantName;
    }

    public void setOsTenantName(String osTenantName) {
        this.osTenantName = osTenantName;
    }
}
